# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _SO_nr	1

Name:			fluidsynth
Summary:		A Real-Time Software Synthesizer that uses Soundfont(tm)
Version:		1.1.1
Release:		1.4
Group:			Productivity/Multimedia/Sound/Midi
License:		LGPL
URL:			http://fluidsynth.resonance.org/trac
Source:			http://download.savannah.gnu.org/releases/fluid/%{name}-%{version}.tar.gz
Source90:		%{name}-rpmlintrc
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	alsa-devel
BuildRequires:	doxygen
BuildRequires:	glib2-devel
BuildRequires:	ladspa-devel
BuildRequires:	lash-devel
BuildRequires:	libjack-devel >= 0.109.2
BuildRequires:	libpulse-devel
BuildRequires:	libsndfile-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	readline-devel
Requires:		ladspa
Requires:		ncurses

%description
FluidSynth (formerly IIWU Synth) is based on the SoundFont(tm)2
specifications.

It is a real-time 'software synthesizer'. FluidSynth can read
MIDI events from the MIDI input device and render them to the
audio device. It can also play MIDI files.

%package -n libfluidsynth-devel
Summary:	Development package for the fluidsynth library
Group:		Development/Libraries/C and C++
Requires:	alsa-devel
Requires:	glib2-devel
Requires:	lash-devel
Requires:	libfluidsynth%{_SO_nr} = %{version}
Requires:	libjack-devel
Requires:	libpulse-devel
Requires:	libsndfile-devel
Requires:	readline-devel
Requires:	portaudio-devel
Provides:	fluidsynth-devel = 1.0.7a
Obsoletes:	fluidsynth-devel < 1.0.7a

%description -n libfluidsynth-devel
This package contains the files needed to compile programs that use the
fluidsynth library.

%package -n libfluidsynth%{_SO_nr}
Summary:	Shared library package for fluidsynth
Group:		System/Libraries

%description -n libfluidsynth%{_SO_nr}
This package contains the shared libraries for fluidsynth.

%debug_package

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--disable-static \
	--enable-jack-support \
	--enable-ladspa \
	--enable-lash
%__make %{?jobs:-j%{jobs}}

pushd doc
	doxygen
popd

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/lib*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n libfluidsynth%{_SO_nr} -p /sbin/ldconfig

%postun -n libfluidsynth%{_SO_nr} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%doc %{_mandir}/man1/*
%doc doc/*.pdf
%{_bindir}/*

%files -n libfluidsynth%{_SO_nr}
%defattr(-,root,root)
%{_libdir}/libfluidsynth.so.*

%files -n libfluidsynth-devel
%defattr(-,root,root)
%doc doc/api
%{_libdir}/libfluidsynth.so
%{_includedir}/*.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Feb 24 2010 Toni Graffy <toni@links2linux.de> - 1.1.1-1.pm.1
- update to 1.1.1
- removed static libraries
* Mon Apr 13 2009 Toni Graffy <toni@links2linux.de> - 1.0.9-0.pm.2
- rebuild without libmidishare(-devel) -- pulls in a lot of devel-files
* Sun Apr 12 2009 Toni Graffy <toni@links2linux.de> - 1.0.9-0.pm.1
- update to 1.0.9
* Sun Nov 18 2007 Toni Graffy <toni@links2linux.de> - 1.0.8-0.pm.1
- update to 1.0.8
- changed package layout according Shared Library Packaging Policy
* Fri Sep 22 2006 Toni Graffy <toni@links2linux.de> - 1.0.7a-0.pm.1
- build for packman
* Tue May 02 2006 oc2pus <oc2pus@arcor.de> - 1.0.7a-0.oc2pus.1
- update to 1.0.7a
- enabled lash
- repacked as tar.bz2
- corrected URL
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - tiwai@suse.de
- fix the crash with 64bit architectures (#137998)
* Wed Oct 12 2005 - tiwai@suse.de
- removed glib* from neededforbuild.
* Tue Jun 14 2005 - tiwai@suse.de
- updated to version 1.0.6.
- split fluidsynth-dssi to an individual package (built from
  own tarball).
* Fri Apr 08 2005 - tiwai@suse.de
- fix for gcc-4.0.
* Fri Jan 21 2005 - tiwai@suse.de
- updated to version 1.0.5.
* Tue Aug 17 2004 - tiwai@suse.de
- fixed the build of fluidsynth-dssi plugin.
* Tue Aug 17 2004 - tiwai@suse.de
- Added the DSSI plugin support.
  A new subpackage fluidsynth-dssi is created.
* Tue Apr 27 2004 - ro@suse.de
- add -fno-strict-aliasing
* Tue Jan 13 2004 - tiwai@suse.de
- added non-root build.
- added %%run_ldconfig.
- fixed %%defattr.
* Tue Nov 18 2003 - tiwai@suse.de
- updated to version 1.0.3.
* Thu Aug 28 2003 - tiwai@suse.de
- fixed bugs; retrieved from 1.0.3.
* Thu Jul 03 2003 - tiwai@suse.de
- updated to version 1.0.2.
* Fri Jun 06 2003 - tiwai@suse.de
- updated to version 1.0.1.
* Thu Mar 27 2003 - tiwai@suse.de
- initial version 1.0.0.  iiwusynth is obsoleted.
